scala.tools.nsc.backend.jvm.BTypes

# ClassInfo

#### case class ClassInfo(superClass: Option[ClassBType], interfaces: List[ClassBType], flags: Int, memberClasses: List[ClassBType], nestedInfo: Option[NestedInfo]) extends Product with Serializable

The type info for a class. Used for symboltable-independent subtype checks in the backend.

superClass

  The super class, not defined for class java/lang/Object.

interfaces

  All transitively implemented interfaces, except for those inherited through the superclass.

flags

  The java flags, obtained through `javaFlags`. Used also to derive the flags for InnerClass entries.

memberClasses

  Classes nested in this class. Those need to be added to the InnerClass table, see the InnerClass spec summary above.

nestedInfo

  If this describes a nested class, information for the InnerClass table.

Source
  BTypes.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ClassInfo
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ClassInfo(superClass: Option[ClassBType], interfaces: List[ClassBType], flags: Int, memberClasses: List[ClassBType], nestedInfo: Option[NestedInfo])

   superClass

     The super class, not defined for class java/lang/Object.

   interfaces

     All transitively implemented interfaces, except for those inherited through the superclass.

   flags

     The java flags, obtained through `javaFlags`. Used also to derive the flags for InnerClass entries.

   memberClasses

     Classes nested in this class. Those need to be added to the InnerClass table, see the InnerClass spec summary above.

   nestedInfo

     If this describes a nested class, information for the InnerClass table.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ClassInfo to any2stringadd[ClassInfo] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ClassInfo, B)

   Implicit information
     This member is added by an implicit conversion from ClassInfo to ArrowAssoc[ClassInfo] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (ClassInfo) ⇒ Boolean, msg: ⇒ Any): ClassInfo

   Implicit information
     This member is added by an implicit conversion from ClassInfo to Ensuring[ClassInfo] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (ClassInfo) ⇒ Boolean): ClassInfo

   Implicit information
     This member is added by an implicit conversion from ClassInfo to Ensuring[ClassInfo] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): ClassInfo

    Implicit information
      This member is added by an implicit conversion from ClassInfo to Ensuring[ClassInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): ClassInfo

    Implicit information
      This member is added by an implicit conversion from ClassInfo to Ensuring[ClassInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### val flags: Int

    The java flags, obtained through `javaFlags`.

    The java flags, obtained through `javaFlags`. Used also to derive the flags for InnerClass entries.

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ClassInfo to StringFormat[ClassInfo] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### val interfaces: List[ClassBType]

    All transitively implemented interfaces, except for those inherited through the superclass.

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val memberClasses: List[ClassBType]

    Classes nested in this class.

    Classes nested in this class. Those need to be added to the InnerClass table, see the InnerClass spec summary above.

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### val nestedInfo: Option[NestedInfo]

    If this describes a nested class, information for the InnerClass table.

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### val superClass: Option[ClassBType]

    The super class, not defined for class java/lang/Object.

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### def →[B](y: B): (ClassInfo, B)

    Implicit information
      This member is added by an implicit conversion from ClassInfo to ArrowAssoc[ClassInfo] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ClassInfo to any2stringadd[ClassInfo]

### Inherited by implicit conversion StringFormat from ClassInfo to StringFormat[ClassInfo]

### Inherited by implicit conversion Ensuring from ClassInfo to Ensuring[ClassInfo]

### Inherited by implicit conversion ArrowAssoc from ClassInfo to ArrowAssoc[ClassInfo]

### Ungrouped